Dokumen ini untuk versi lama Python yang tidak didukung lagi. Anda harus memutakhirkan, dan membaca Dokumentasi Python untuk rilis stabil saat ini.

# Layanan Bahasa Python

Python menyediakan sejumlah modul untuk membantu bekerja dengan bahasa Python. Modul-modul ini mendukung tokenizing, parsing, analisis sintaks, bytecode disassembly, dan berbagai fasilitas lainnya.

Modul-modul ini termasuk:

- `parser` --- Access Python parse trees
  - Creating ST Objects
  - Converting ST Objects
  - Queries on ST Objects
  - Exceptions and Error Handling
  - ST Objects
  - Example: Emulation of `compile()`
- `ast` --- Abstract Syntax Trees
  - Abstract Grammar
  - Node classes
    - Literals
    - Variables
    - Expressions
      - Subscripting
      - Comprehensions
    - Statements
      - Imports
    - Control flow
    - Function and class definitions
    - Async and await
  - `ast` Helpers
  - Compiler Flags
  - Command-Line Usage
- `symtable` --- Access to the compiler's symbol tables
  - Generating Symbol Tables
  - Examining Symbol Tables
- `symbol` --- Constants used with Python parse trees
- `token` --- Konstanta digunakan dengan pohon pengurai (parse tree) Python
- `keyword` --- Pengujian untuk kata kunci Python
- `tokenize` --- Tokenizer for Python source
  - Tokenizing Input
  - Command-Line Usage
  - Contoh-contoh
- mod:tabnanny --- Deteksi indentasi ambigu
- `pyclbr` --- Python module browser support
  - Obyek Fungsi
  - Objek Kelas Class Objects
- `py_compile` --- Compile Python source files
- `compileall` --- Byte-compile Python libraries
  - Command-line use
  - Public functions
- `dis` --- Disassembler for Python bytecode
  - Bytecode analysis
  - Analysis functions
  - Python Bytecode Instructions
  - Opcode collections
- `pickletools` --- Tools for pickle developers
  - Command line usage
    - Command line options
  - Programmatic Interface